module ExpressPigeon
  # Templates
  class Templates
    include HTTParty
    base_uri('https://api.expresspigeon.com/templates')
    debug_output(nil)

    def initialize(auth_key)
      self.class.headers('X-auth-key' => auth_key)
    end

    # Copy template
    #
    # POST https://api.expresspigeon.com/templates/{template_id}/copy
    #
    # NOTE: It is important to use only single quotes in injected HTML
    def copy(template_id, name:, merge_fields: {})
      self.class.post(
        "/#{template_id}/copy",
        body: {
          name: name,
          merge_fields: merge_fields
        }.to_json,
        headers: { 'Content-Type' => 'application/json' }
      )
    end
  end
end
